Get execution detail
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id} \
--header 'Authorization: Bearer <token>'{
"execution": {
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
},
"updated_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"iac_from_file_path": "<string>",
"in_flight_task": {},
"in_flight_task_started_at": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"registry_name": "<string>",
"resource_kind": "<string>",
"scheduler_name": "<string>",
"stack_name": "<string>",
"stack_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_at": "2023-11-07T05:31:56Z",
"stop_at": "2023-11-07T05:31:56Z",
"target_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_resource_kind": "<string>",
"target_resource_name": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Executions API
Get execution detail
GET
/
api
/
v1
/
org
/
executions
/
{execution_id}
Get execution detail
import requests
url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/executions/{execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/executions/{execution_id} \
--header 'Authorization: Bearer <token>'{
"execution": {
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
},
"updated_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"iac_from_file_path": "<string>",
"in_flight_task": {},
"in_flight_task_started_at": "2023-11-07T05:31:56Z",
"namespace": "<string>",
"registry_name": "<string>",
"resource_kind": "<string>",
"scheduler_name": "<string>",
"stack_name": "<string>",
"stack_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_at": "2023-11-07T05:31:56Z",
"stop_at": "2023-11-07T05:31:56Z",
"target_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_resource_kind": "<string>",
"target_resource_name": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"step_summary": {
"failed": 0,
"pending": 0,
"running": 0,
"succeeded": 0,
"total": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I